<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>disable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <InvariantGlobalization>true</InvariantGlobalization>
    <RootNamespace>EmpyrionBridge</RootNamespace>
    <AssemblyName>panel-empyrion-bridge</AssemblyName>
    <LangVersion>12</LangVersion>
    <NoWarn>CS8981;CS0414;CS8632;CS8625;CS8600;CS8601;CS8602;CS8603;CS8604;CS8618;CS8619</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="protobuf-net" Version="3.2.30" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="Mif">
      <HintPath>..\lib\Mif.dll</HintPath>
      <Private>true</Private>
    </Reference>
  </ItemGroup>

</Project>
